Bug 578047 - lang-specific overrides rule doesn't work as expected
Summary: lang-specific overrides rule doesn't work as expected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: thai-scalable-fonts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 578015
Blocks: F13Target
TreeView+ depends on / blocked
 
Reported: 2010-03-30 03:56 UTC by Akira TAGOH
Modified: 2010-04-16 02:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-16 02:58:57 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2010-03-30 03:56:54 UTC
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 90-thai-scalable-synthetic-garuda.conf
 90-thai-scalable-synthetic-kinnari.conf
 90-thai-scalable-synthetic-umpush.conf

Comment 1 Jens Petersen 2010-04-15 11:12:18 UTC
I am wondering for thai-scalable these .conf seem to be for
specific font substitutions, so is the use of binding="same"
ok here?

Comment 2 Akira TAGOH 2010-04-16 02:58:57 UTC
Ah, you're right. the cheker has a bug. you don't need to take any actions on this package.


Note You need to log in before you can comment on or make changes to this bug.